%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtquick3d
Version:       6.8.3
Release:       1mamba
Summary:       Qt6 Quick 3D components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtquick3d-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Concurrent
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Widgets
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libopenxr-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtshadertools-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}

%description
Qt6 Quick 3D components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n qtquick3d-everywhere-src-%{version}

%build
%cmake -d build \
  -G Ninja \
%ifarch %{ix86}
  -DQT_FEATURE_qml_profiler=OFF
%endif

cmake --build .

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR="%{buildroot}" cmake --install build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/qt6/bin/*
%{_libdir}/libQt6Quick3D*.so.*
%{_libdir}/qt6/plugins/assetimporters/libassimp.so
%{_libdir}/qt6/plugins/qmltooling/libqmldbg_quick3dprofiler.so
%dir %{_libdir}/qt6/qml/QtQuick3D
%{_libdir}/qt6/qml/QtQuick3D/*
%{_libdir}/qt6/modules/Quick3D*.json
%{_libdir}/qt6/metatypes/qt6quick3d*.json
%{_qt6_archdatadir}/sbom/qtquick3d-%{version}.spdx
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtQuick3D*
%{_includedir}/qt6/QtQuick3D*/*
%{_libdir}/libQt6Quick3D*.prl
%{_libdir}/libQt6Quick3D*.so
%ifnarch %ix86
%{_libdir}/libQt6BundledEmbree.a
%endif
%{_libdir}/qt6/mkspecs/modules/qt_lib_quick3d*.pri
%{_libdir}/cmake/Qt6/Find*.cmake
%dir %{_libdir}/cmake/Qt6Quick3D*
%{_libdir}/cmake/Qt6Quick3D*/Qt6*.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtQuick3DTestsConfig.cmake
%ifnarch %ix86
%{_libdir}/cmake/Qt6BundledEmbree/Qt6BundledEmbree*.cmake
%endif
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6*.cmake
%{_libdir}/cmake/Qt6Qml/Qt6QQuick3DProfilerAdapterFactoryPlugin*.cmake
%{_libdir}/pkgconfig/Qt6Quick3D*.pc
%doc README.md

%changelog
* Sat Mar 29 2025 Automatic Build System <autodist@openmamba.org> 6.8.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2025 Automatic Build System <autodist@openmamba.org> 6.8.2-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Automatic Build System <autodist@openmamba.org> 6.8.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.0-1mamba
- update to 6.8.0

* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 6.6.2-1mamba
- automatic version update by autodist

* Wed Nov 29 2023 Automatic Build System <autodist@mambasoft.it> 6.6.1-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Mon May 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Fri Apr 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Tue Sep 13 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Wed Nov 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
